
# 6 - slc6, 5 - slc5

%define rhel 6

%define gitversion 12705d3

Name:           freerdp
Version:        1.0.0.20111026.git.%{gitversion}
Release:        1%{?dist}
Summary:        Remote Desktop Protocol client

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.freerdp.com/
Source0:        https://github.com/FreeRDP/FreeRDP/downloads/FreeRDP-FreeRDP-%{gitversion}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  cups-devel
BuildRequires:  openssl-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel

Provides:       xfreerdp = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}, %{name}-plugins = %{version}-%{release}

%description 
The xfreerdp Remote Desktop Protocol (RDP) client from the FreeRDP
project.

xfreerdp can connect to RDP servers such as Microsoft Windows
machines, xrdp and VirtualBox.

FreeRDP is a fork of the rdesktop project and intends to rapidly
improve on it and re-implement what is needed.


%package        libs
Summary:        Core libraries implementing the RDP protocol
Group:          System Environment/Libraries
%description    libs
libfreerdp implements the core of the RDP protocol.

libfreerdpchanman can be used to load plugins that can handle channels
in the RDP protocol.

libfreerdpkbd implements functionality for handling keyboards in X.


%package        plugins
Summary:        Plugins for handling the standard RDP channels
Group:          System Environment/Libraries
Requires:       %{name}-libs = %{version}-%{release}
%description    plugins
A set of plugins to the channel manager implementing the standard virtual
channels extending RDP core functionality.  For example, sounds, clipboard
sync, disk/printer redirection, etc.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}-libs.


%prep
%setup -q -n FreeRDP-FreeRDP-%{gitversion}

%build

# big endian test FAILS on SLC5 .. cmake problem ?

# perl -p -i -e 's/test_big_endian\(BIG_ENDIAN\)/#test_big_endian\(BIG_ENDIAN\)/' CMakeLists.txt 

%ifarch x86_64
%define mylib lib64
%else 
%define mylib lib
%endif

%if 0%{rhel} > 5

cmake . -DWITH_ALSA=OFF -DWITH_PULSEAUDIO=ON -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=%{mylib}

%else

cmake . -DWITH_ALSA=OFF -DWITH_CUPS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=%{mylib}

%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# error in makefiles ?
#mv -v $RPM_BUILD_ROOT/usr/%{_libdir}/%{name} $RPM_BUILD_ROOT/%{_libdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/xfreerdp
%{_mandir}/*/*

%files libs
%defattr(-,root,root,-)
%doc README LICENSE 
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}/
%{_datadir}/%{name}/

%files plugins
%defattr(-,root,root,-)
%{_libdir}/%{name}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/freerdp/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/freerdp.pc

%changelog
* Wed Oct 26 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0.git
- 1.0 pre from GitHub repos, updated.

* Wed Sep 14 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0.git
- 1.0 pre from GitHub repos 

* Tue Nov 16 2010 Mads Kiilerich <mads@kiilerich.com> - 0.8.2-1
- freerdp-0.8.2

* Mon Nov 08 2010 Mads Kiilerich <mads@kiilerich.com> - 0.8.1-2
- make -devel require pkgconfig
- first official Fedora package

* Sun Nov 07 2010 Mads Kiilerich <mads@kiilerich.com> - 0.8.1-1
- freerdp-0.8.1

* Sat Sep 25 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.4-2
- hack the generated libtool to not set rpath on x86_64
- configure with alsa explicitly

* Tue Aug 24 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.4-1
- freerdp-0.7.4
- cleanup of packaging structure

* Wed Jul 28 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.3-1
- 0.7.3
- fix some minor pylint warnings

* Fri Jul 23 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.2-2
- 0.7.2
- Address many comments from cwickert:
- - cleanup of old formatting, alignment with spectemplate-lib.spec and
    cwickert spec from #616193
- - add alsa as build requirement
- - remove superfluous configure options and disable static libs
- - add missing rpm groups

* Sun Jun 13 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.0-1
- First official release, first review request
